/**
 * PETALS - PETALS Services Platform. Copyright (c) 2008 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.registry.client.api;

import java.util.List;

import org.ow2.petals.registry.api.Endpoint;
import org.ow2.petals.registry.api.Query;
import org.ow2.petals.registry.api.exception.RegistryException;

/**
 * The registry client interface
 * 
 * @author Christophe HAMERLING - eBM WebSourcing
 * 
 */
public interface RegistryClient {

    boolean put(String path, Endpoint endpoint, boolean propagate) throws RegistryException;

    Endpoint get(String path, boolean searchRemote) throws RegistryException;

    /**
     * 
     * @param path
     * @param searchRemote
     * @return at least an empty list, not null
     * @throws RegistryException
     */
    List<Endpoint> getAll(String path, boolean searchRemote) throws RegistryException;

    void delete(String path, boolean propagate) throws RegistryException;

    /**
     * 
     * @param query
     * @param searchRemote
     * @return at least an empty list, not null!
     * @throws RegistryException
     */
    List<Endpoint> lookup(Query query, boolean searchRemote) throws RegistryException;
}
